Subject: Re: [bitcoin-dev] Requirement for pseudonymous BIP submissions

From: [email-masked]
Date: Fri, 24 Mar 2017 02:18:45 +0000

On Sun, Mar 19, 2017 at 11:43:12PM +0000, muyuu via bitcoin-dev wrote:
> If this was in place I would contribute more and I wouldn't have to create
> throw-away accounts.
> 
> This is not a space where you want to be a recognisable target.
> 
> Today, BitFury's CEO threatened to sue developers if they didn't kowtow to
> his demands to leave the PoW alone. This is unacceptable. Decisions have to
> be made on merit and the interest of the project, and nothing else.
> 
> This is very important and needs to be given priority. Most Core developers
> and all the main ones except Satoshi have built a public persona, either
> for ego or for practical monetary reasons. Obviously there's academia where
> everything is about plastering your name as much as possible and getting
> cited. So it's understood. Although I understand the difficulty of getting
> funded and getting trusted without a face, there needs to be an outlet so
> people can interact and contribute in a proper cypherpunk way.
> 
> Also, GitHub is quite anti-privacy. So I recommend not reusing personal
> accounts from work.
> 
> -muyuu

I quite agree, and I would add that sometimes making yourself
recognisable is far more important that merit.

If we are really going to go for merit, then we probably need to go
all the way back to examine why is it developers and academics think
they need to have money to make code or reputation to do research.

The best code I've written is stuff I've given away for free, although
sometimes I'm able to leverage being recognized for having written 
something into getting paid to write more code. The best research
I've done has been self-funded, when I did not subconsciously have
a funding agent I was trying to please with the outcome of the 
research.

We need a safe space for merit, how about http://gplspace.org/